package com.ycwl.basic.model.pc.faceSample.req;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ycwl.basic.model.common.BaseQueryParameterReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 15:40
 */
@Data
@ApiModel("人脸样本查询参数")
public class FaceSampleReqQuery extends BaseQueryParameterReq {
    /**
     * 景区ID
     */
    @ApiModelProperty("景区ID")
    private Long scenicId;
    /**
     * 来源设备
     */
    @ApiModelProperty("来源设备")
    private Long deviceId;
    /**
     * 是否匹配，0未匹配，1已匹配
     */
    @ApiModelProperty("是否匹配，0未匹配，1已匹配")
    private Integer status;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
}
