package com.ycwl.basic.profitsharing.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

@Data
public class ProfitSharingTableRecordVO {

    @ApiModelProperty(value = "景区ID")
    private Long scenicId;
    private String scenicName;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "订单金额")
    private BigDecimal orderAmount;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    private Map<String, ProfitSharingRecordRespVO> records;
}
