package com.ycwl.basic.profitsharing.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ycwl.basic.model.common.BaseQueryParameterReq;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
public class ProfitSharingRecordReqQuery extends BaseQueryParameterReq {
    private Long scenicId;
    private Integer status;
    private Integer rateMode;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
    private boolean withDeleted = false;
}
